import { TSESTree } from '@typescript-eslint/utils';
interface RelationType {
    name: string;
    nullable: boolean;
    isArray: boolean;
    isLazy: boolean;
}
export type Relation = 'OneToOne' | 'OneToMany' | 'ManyToOne' | 'ManyToMany';
export declare function convertTypeToRelationType(arg: TSESTree.TypeNode): RelationType;
export declare function convertArgumentToRelationType(relation: Relation, args: TSESTree.CallExpressionArgument[]): RelationType | undefined;
export declare function isTypesEqual(toType: RelationType, tsType: RelationType): boolean;
export declare function isTypeMissingNullable(toType: RelationType, tsType: RelationType): boolean;
export declare function isTypeMissingArray(toType: RelationType, tsType: RelationType): boolean;
export declare function typeToString(relation: RelationType, { isLazy }: RelationType): string | undefined;
export {};
